DOPOWERHOOKS(9) | Kernel Developer's Manual | DOPOWERHOOKS(9)

# NAME

`dopowerhooks` —
run all power hooks

# SYNOPSIS

void
`dopowerhooks`(int why);

# DESCRIPTION

The `dopowerhooks` routine is deprecated. Use pmf_system_suspend(9) instead.

The `dopowerhooks`() function invokes all power hooks established using the powerhook_establish(9) function. When power is disappearing the power hooks are called in reverse order, i.e., the power hook established last will be called first. When power is restored they are called normal order.

This function is called from the apm(4) driver when a power change is detected.

# SEE ALSO

powerhook_establish(9)

February 11, 2010 | NetBSD 9.0